'==========================================================================
'
' NAME: OpenMagOptProject
'
' CREATED       : 18/04/2014
' CREATED BY    : Werner Koppelsttter
' MODIFIED      : 26/07/2017
' MODIFIED BY   : Werner Koppelsttter
'
'
' COMMENT: 
'	This script starts MagOpt with project
'
'=================== Script Initialization ================================

Option Explicit
'On Error Resume Next

'=================== Constant / Variable Declaration ======================

Const ForReading = 1
Const ForWriting = 2
Const ForAppending = 8

Dim args, mop
Dim Shell

'=================== Main Logic ===========================================

' Query the computer
Set args = WScript.Arguments
If args.Count = 0 Then
	WScript.Echo "Parameter with path to mop-file is needed!"
Else
	mop = args(0)
	OpenProject mop
End If
	


'=================== Functions / Subroutines ==============================

Sub OpenProject(mop)
	Dim matlab, startup, path, FSO, strPath

	' Change network path
	path = "\\blackcube-accm\internal-lcm\"
	If StrComp(Left(mop,Len(path)),path) = 0 Then
		mop = "Y:\" & Right(mop,Len(mop)-Len(path))
	End If

    Set FSO = CreateObject("Scripting.FileSystemObject")
    strPath = FSO.GetParentFolderName(WScript.ScriptFullName)

	' Run MagOpt
	Set Shell = CreateObject("WScript.Shell")
    Shell.Exec """" & strPath & "\..\SyMSpace.exe"" """ & mop & """"
End Sub
